> For the complete documentation index, see [llms.txt](https://docs.jentis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jentis.com/developer-guide/consent-javascript-sdk/javascript-events/vendor-change.md).

# vendor-change

#### Title

**jentis.consent.engine.vendor-change**

#### Description

Triggered when **at least one vendor’s consent status has changed**.

#### Usage

```javascript
jentis.consent.engine.addEventListener('jentis.consent.engine.vendor-change', function (e) {
    console.log("Vendor consent changed:", e.detail.moreInfo);
});
```

#### Event Data (`e.detail.moreInfo`)

An **object** containing all vendors and their current consent status:

```json
jsonCopyEdit{
  "ga": true,
  "adw": false,
  "fb": true
}
```

**Notes:**

* `true` = user has given consent for this vendor.
* `false` = user has denied consent for this vendor.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jentis.com/developer-guide/consent-javascript-sdk/javascript-events/vendor-change.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
